Bug 127089 - sysutils/heartbeat does not compile
sysutils/heartbeat does not compile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 14:50 UTC by barzog
Modified: 2008-09-15 22:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description barzog 2008-09-04 14:50:01 UTC
During portupgrade -N heartbeat I see following:

===>  Building for heartbeat-1.2.5_3
cd . && /bin/sh /var/tmp/usr/ports/sysutils/heartbeat/work/heartbeat-1.2.5/missing --run aclocal-1.9
/usr/local/share/aclocal/glib.m4:8: warning: underquoted definition of AM_PATH_GLIB
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
 cd . && /bin/sh /var/tmp/usr/ports/sysutils/heartbeat/work/heartbeat-1.2.5/missing --run automake-1.9 --foreign
cd . && /bin/sh /var/tmp/usr/ports/sysutils/heartbeat/work/heartbeat-1.2.5/missing --run autoconf
/bin/sh ./config.status --recheck
running /bin/sh ./configure  --disable-fatal-warnings --with-initdir=/usr/local/etc/rc.d --localstatedir=/var --with-group-id=275 --with-ccmuser-id=275 --prefix=/usr/local --mandir=/usr/local/man --infodir=/usr/local/info/ --build=amd64-portbld-freebsd7.0 CC=cc CFLAGS=-O -pipe CPPFLAGS=-I/usr/local/include/libnet11 CXXFLAGS=-O -pipe CXX=c++ build_alias=amd64-portbld-freebsd7.0 --enable-ltdl-convenience  --no-create --no-recursion

..some skipped...
checking which libnet version is installed... using old version of API
checking for libnet_get_hwaddr in -lnet... no
configure: ERROR: You need libnet to continue. ============
configure: ERROR: You can get libnet from http://www.packetfactory.net/libnet/ ============
configure: ERROR: Note that some RPMs split libnet up into libnet and libnet-devel. ============
configure: ERROR: In this case you have to install libnet-devel ============
checking for libnet_init in -lnet... no
..some skipped...
configure: error: The following required components noted earlier are missing:
     libnet-devel
    Please supply them and try again.
gmake: *** [config.status] Error 1
*** Error code 2

Stop in /usr/ports/sysutils/heartbeat.


After doing export LDFLAGS=-L/usr/local/include/libnet11 && portupgrade -N heartbeat all goes well

Fix: 

export LDFLAGS=-L/usr/local/include/libnet11
before make install
How-To-Repeat: make install
Comment 1 Edwin Groothuis freebsd_committer 2008-09-04 23:49:52 UTC
Maintainer of sysutils/heartbeat,

Please note that PR ports/127089 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127089

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-04 23:49:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 scott-ports 2008-09-09 22:00:17 UTC
On Thu, Sep 04, 2008 at 10:49:52PM +0000, Edwin Groothuis wrote:
>Maintainer of sysutils/heartbeat,
>
>Please note that PR ports/127089 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127089

This fix would make a great patch, and hopefully resolve two other PRs
about this issue.  I would approve such a patch to the port.

-- 
Regards,                    tummy.com, ltd
Scott Kleihege              Linux Consulting since 1995
                            http://www.tummy.com/
Comment 4 Mark Linimon freebsd_committer 2008-09-09 23:24:56 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pietro Cerutti freebsd_committer 2008-09-15 22:28:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2008-09-15 22:30:49 UTC
gahr        2008-09-15 21:30:35 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/heartbeat   Makefile 
  Log:
  - Explicitely teach autotools to recognize libnet LDFLAGS
  
  PR:             127089
  Submitted by:   Oleg Gawriloff <barzog@telecom.by>
  Approved by:    Scott Kleihege <scott-ports@tummy.com> (maintainer)
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.14      +2 -1      ports/sysutils/heartbeat/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"